# elf.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Data Structures

struct | elfDynamic
struct | elfDynsym
struct | elfHeader
struct | elfPltInfo
struct | elfProgramheader
struct | elfSectionheader

## Defines

#define | elfExecutable 0x002
#define | elfLibrary 0x003
#define | ET_NONE 0
| No file type.
#define | ET_REL 1
| Relocatable file.
#define | ET_EXEC 2
| Executable file.
#define | ET_DYN 3
| Shared object file.
#define | ET_CORE 4
| Core file.
#define | ET_LOPROC 0xff00
| Processor-specific.
#define | ET_HIPROC 0xffff
#define | EM_NONE 0
| No machine.
#define | EM_M32 1
| AT&T WE 32100.
#define | EM_SPARC 2
| SPARC.
#define | EM_386 3
| Intel 80386.
#define | EM_68K 4
| Motorola 68000.
#define | EM_88K 5
| Motorola 88000.
#define | EM_860 7
| Intel 80860.
#define | EM_MIPS 8
| MIPS RS3000.
#define | EV_NONE 0
| Invalid version.
#define | EV_CURRENT 1
| Current version.
#define | PT_NULL 0
#define | PT_LOAD 1
#define | PT_DYNAMIC 2

## Functions

char * | elfGetShType (int)
char * | elfGetPhType (int)

## Define Documentation

#define elfExecutable 0x002

#define elfLibrary 0x003

#define EM_386 3

| Intel 80386.

#define EM_68K 4

| Motorola 68000.

#define EM_860 7

| Intel 80860.

#define EM_88K 5

| Motorola 88000.

#define EM_M32 1

| AT&T WE 32100.

#define EM_MIPS 8

| MIPS RS3000.

#define EM_NONE 0

| No machine. Elf Machine Types

#define EM_SPARC 2

| SPARC.

#define ET_CORE 4

| Core file.

#define ET_DYN 3

| Shared object file.

#define ET_EXEC 2

| Executable file.

#define ET_HIPROC 0xffff

#define ET_LOPROC 0xff00

| Processor-specific.

#define ET_NONE 0

| No file type.

#define ET_REL 1

| Relocatable file.

#define EV_CURRENT 1

| Current version.

#define EV_NONE 0

| Invalid version. Elf Version

#define PT_DYNAMIC 2

#define PT_LOAD 1

#define PT_NULL 0

| Elf Program Header Types

## Function Documentation

char* elfGetPhType | ( | int |  | ) |

char* elfGetShType | ( | int |  | ) |